miércoles, 10 de febrero de 2010

TweetDeck en Ubuntu 9.10 64bits: No se Puede Ejecutar

Como comenté en una entrada anterior hice la instalacion de Linux Ubuntu 9.10 y enseguida queria contarle a los contactos via twitter los resultados y el agradable ambiente grafico del que estaba disfrutando.
Dado que habia probado recientemente TweetDeck en mi instalacion paralela de Windows Vista quise probar suerte e instalar TweetDeck en mi Ubuntu 9.10 a 64 bits. Pero mi decepcion fue grande.

Primero resulta que no tenia instalado Adobe Air, asi que procedi con la instalacion a traves de la pagina de tweetdeck. Ese no fue realmente ningun problema, sino que al tratar de instalar Tweetdeck 0.33 pues no funciono. Primero me mostró un error que indica que mis archivos están encriptados y que TweetDeck no puede leerlos. Aqui está el mensaje de error:

Luego, enseguida de dar click en el boton de OK, resulta que hubo un error similar que indicaba que mi computadora es una de las pocas en las que Adobe Air tiene problemas para correr pero que ya estaban trabajando en el problema. Acto seguido al dar click en OK nuevamente aparece el mismo error. Di varios clicks hasta que no quedo mas remedio que dar click en la x para cerrar la ventana y hasta ahi fue todo lo que pude ver de TweetDeck

Decidí apoyarme en Google un poco y busqué si había alguien que le hubiera pasado algo similar a mí y, en efecto confirmé que muchos habían reportado errores, tanto en 32-bits como en 64-bits con Adobe Air, no solo con TweetDeck sino también con Times Reader (el lector de noticias del New York Times) y alguien mas con una aplicación de la BBC. En fin, el problema radicaba en Adobe Air. Alguien por ahí indicaba que se podia instalar Adobe Air 2.0 beta y que esto solucionaría el problema. Ni tardo ni perezoso ahi voy a tratar de solucionarlo buscando instalar el dichoso Adobe Air 2.0 beta (tan solo el Adobe + beta ya me dejaba preocupado, pero aun así seguí adelante confiando en la estabilidad de Ubuntu), pero haciéndolo al ejecutar el archivo .bin directamente:
  1. Abro una terminal
  2. sudo dpkg -S /opt/* para ver las aplicaciones instaladas
  3. sudo dpkg -P tweetdeckfast.f9107117265db7542c1a806c8db837742ce14c21.1 para desinstalar el tweetdeck
  4. Abro la liga para instalar Adobe Air 2.0 beta y bajo el archivo a mi directorio Downloads
  5. Regreso a la terminal, cd ~/Downloads , chmod a+x air2_b2_runtime_lin_020210.bin
  6. Ejecuto air2_b2_runtime_lin_020210.bin y el instalador de Adobe me indica que ya tengo instalada la version 1.5.xxx y me pregunta que si quiero reemplazarla. Acepto el reemplazo
  7. Adobe Air hace su magia y termina instalando sin problemas
  8. Regreso a la pagina de TweetDeck, acetpo la instalacion del pajaro negro. El mismo error vuelve a aparecer
  9. Me decepciono de Adobe, TweetDeck y hasta un poco de Linux. Quiero destruir el twitter
  10. Se me prende el foco y busco en google destroytwitter. Me aparece la liga para el cliente que tiene este agresivo nombre, accedo a la liga para descargarlo
  11. Instalo destroytwitter. Le doy mi login id de twitter y mi password. El cliente se conecta y carga mis contactos
  12. Soy feliz porque destroytweeter si funciona, lanzo al internet un tweet que anuncia mi fracaso de instalar tweetdeck y mi exito con destroytwitter
  13. Vuelvo a desinstalar tweetdeck (ver paso 3). Ahora si se la miento 
Así tras 12 pasos + 1 tengo mi cliente DestroyTwitter de escritorio funcionando sin problemas, sin que Adobe Air se queje y he aquí la prueba

Asi que si quieres instalar TweetDeck en ubuntu 9.10 ahorrate 12 pasos e instala directamente DestroyTwitter. No te arrepentirás

Hasta la próxima

Fe de erratas: Se escribe DestroyTwitter y no DestroyTweeter como lo había escrito inicialmente

2 comentarios:

Rafo Dillon dijo...

Sólo una aclaración: no es Ubuntu 9.1 sino Ubuntu 9.10, el famoso Karmic Koala.

Peace!

fr dijo...

Cierto Rafo, gracias por la aclaración